flowPlot {flowViz} | R Documentation

## Standard Plots for Flow Cytometry Data

### Description

A method that makes standard plots from a `flowFrame`. The user may also provide various `filter` or `filterResult` arguments to customize the plot.

### Usage

    flowPlot(x, ...)

    ## S4 method for signature 'flowFrame':
    flowPlot(x, child, filter = NULL,
             plotParameters = c("FSC-H","SSC-H"),
             logx = FALSE, logy = FALSE,
             parent, colParent="Grey", colChild="Blue",
             showFilter = TRUE, gate.fill = "transparent",
             gate.border = "black", xlab, ylab, xlim, ylim,
             ...)

### Arguments

`x` | An object of class `flowFrame` that contains the data to be plotted.
`child` | An optional argument of class `filterResult` that specifies a subset of the data that are included in the `filterResult`
`filter` |
`plotParameters` |
`logx` |
`logy` |
`parent` |
`colParent` |
`colChild` |
`showFilter` |
`gate.fill` |
`gate.border` |
`xlab` |
`ylab` |
`xlim` |
`ylim` |
`...` |

### Details

The plot that is most commonly used in flow cytometry data analysis is usuall called a "dot plot". In common statistical language, we would call this a scatter plot. The basic idea is a 2-dimensional plot that shows the location of every cell in regard to the measurements made on it, for example, forward scatter vs side scatter. Most applications will, in addition to the data, want to show information about one or more filters (gates). Since there can be a very large number of cells in a sample, it is common to show a smoothed version of the data that doesn't involve registering every point on the graph.

### Author(s)

P. Haaland

### See Also

`flowCore`

### Examples

    data(GvHD)
    flowPlot(GvHD[["s5a01"]])
    flowPlot(transform("SSC-H"=asinh,"FSC-H"=asinh) %on% GvHD[["s5a01"]])

[Package flowViz version 1.2.0 Index]